org.apache.lucene.xmlparser

## Interface QueryBuilder

- All Known Subinterfaces:
    SpanQueryBuilder
  All Known Implementing Classes:
    BooleanQueryBuilder, BoostingQueryBuilder, BoostingTermBuilder, ConstantScoreQueryBuilder, CoreParser, CorePlusExtensionsParser, FilteredQueryBuilder, FuzzyLikeThisQueryBuilder, LikeThisQueryBuilder, MatchAllDocsQueryBuilder, QueryBuilderFactory, SpanBuilderBase, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanQueryBuilderFactory, SpanTermBuilder, TermQueryBuilder, TermsQueryBuilder, UserInputQueryBuilder

      public interface QueryBuilder

  Implemented by objects that produce Lucene Query objects from XML streams. Implementations are expected to be thread-safe so that they can be used to simultaneously parse multiple XML documents.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.search.Query` | `getQuery(org.w3c.dom.Element e)`

- - ### Method Detail

    - #### getQuery

          org.apache.lucene.search.Query getQuery(org.w3c.dom.Element e)
                                           throws ParserException

      Throws:
        `ParserException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.